Runtime

## org.eclipse.gmf.runtime.notation
Interface PropertiesSetStyle

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, NamedStyle, org.eclipse.emf.common.notify.Notifier, Style

All Known Implementing Classes:
  PropertiesSetStyleImpl

    public interface PropertiesSetStyle

extends NamedStyle

A representation of the model object 'Properties Set Style'.

The following features are supported:

- `Properties Map`

See Also:
  `NotationPackage.getPropertiesSetStyle()`
** Generated **
Model:

Method Summary
`boolean` `createProperty(java.lang.String propertyName, org.eclipse.emf.ecore.EDataType instanceType, java.lang.Object initialValue)`
`boolean` `createProperty(java.lang.String propertyName, java.lang.String initialValue)`
`org.eclipse.emf.common.util.EMap` `getPropertiesMap()` Returns the value of the 'Properties Map' map.
`java.lang.Object` `getProperty(java.lang.String propertyName)`
`boolean` `hasProperty(java.lang.String propertyName)`
`boolean` `removeProperty(java.lang.String propertyName)`
`boolean` `setProperty(java.lang.String propertyName, java.lang.Object newValue)`

Methods inherited from interface org.eclipse.gmf.runtime.notation.NamedStyle
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getPropertiesMap

    org.eclipse.emf.common.util.EMap getPropertiesMap()

  Returns the value of the 'Properties Map' map. The key is of type `String`, and the value is of type `PropertyValue`,

  If the meaning of the 'Properties Map' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Properties Map' map.
  See Also:
    `NotationPackage.getPropertiesSetStyle_PropertiesMap()`
  ** Generated **
  Model:
    mapType="org.eclipse.gmf.runtime.notation.StringToPropertyValueMapEntry" keyType="java.lang.String" valueType="org.eclipse.gmf.runtime.notation.PropertyValue"

### getProperty

    java.lang.Object getProperty(java.lang.String propertyName)

  ** Generated **
  Model:

### setProperty

    boolean setProperty(java.lang.String propertyName,
                        java.lang.Object newValue)

  ** Generated **
  Model:

### createProperty

    boolean createProperty(java.lang.String propertyName,
                           org.eclipse.emf.ecore.EDataType instanceType,
                           java.lang.Object initialValue)

  ** Generated **
  Model:

### removeProperty

    boolean removeProperty(java.lang.String propertyName)

  ** Generated **
  Model:

### hasProperty

    boolean hasProperty(java.lang.String propertyName)

  ** Generated **
  Model:

### createProperty

    boolean createProperty(java.lang.String propertyName,
                           java.lang.String initialValue)

  ** Generated **
  Model:

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.